# -*- coding: utf-8 -*-
'''
Задание 2.1c

Переделать скрипт из задания 2.1b таким образом, чтобы, при запросе параметра,
которого нет в словаре серверов, отображалось сообщение 'Такого параметра нет'.

> Попробуйте набрать неправильное имя параметра или несуществующий параметр,
чтобы увидеть какой будет результат. А затем выполняйте задание.

Если выбран существующий параметр,
вывести информацию о соответствующем параметре, указанного устройства.

Пример выполнения скрипта:
$ python task_2_1c.py
Введите имя сервера: dev
Введите имя параметра (os, model, vendor, location, ip): ips
Такого параметра нет

Ограничение: нельзя изменять словарь london_co.

Все задания надо выполнять используя только пройденные темы.
То есть эту задачу можно решить без использования условия if.
'''

servers = {
    'dev': {
        'location': 'Лубянка',
        'vendor': 'IBM',
        'model': 'i2570',
        'os': 'centos',
        'ip': '10.255.0.1'
    },
    'qa': {
        'location': 'поеображенка',
        'vendor': 'Cisco',
        'model': '4451',
        'os': 'centos',
        'ip': '10.255.0.2'
    },
    'prod': {
        'location': 'технопарк',
        'vendor': 'Dell',
        'model': '3850',
        'os': 'centos',
        'ip': '10.255.0.101',
        'vlans': '10,20,30',
        'routing': True
    }
}
name = input("Введите имя сервера: ")
attr = input(f"Введите имя параметра ({', '.join(servers[name].keys())}): ")
print(servers[name].get(attr, 'Такого параметра нет'))